<link rel="import" href="../polymer/polymer-element.html" />

<dom-module id="employee-list">
    <template>
        <style>
            :host {
                display: block;
            }
        </style>
        <div>
            <dom-repeat items="{{employees}}" filter="isEngineer">
                <template>
                    <div>First name: <span>{{item.first}}</span></div>
                    <div>Last name: <span>{{item.last}}</span></div>
                    <hr />
                </template>
            </dom-repeat>
        </div>
    </template>

    <script>
        /**
         * `employee-list`
         * asdfghj
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class EmployeeList extends Polymer.Element {
            static get is() {
                return "employee-list";
            }
            static get properties() {
                return {
                    employees: {
                        value() {
                            return [
                                { first: "Bob", last: "Smith", type: "engineer" },
                                { first: "Sally", last: "Johnson", type: "accountant" },
                            ];
                        },
                    },
                };
            }

            isEngineer(item) {
                return item.type === "engineer";
            }
        }

        window.customElements.define(EmployeeList.is, EmployeeList);
    </script>
</dom-module>
